commit:     0654f4487ee7f614152ddf6a6067cf3c301ec8ef
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 25 20:43:38 2016 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Fri Nov 25 20:43:38 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0654f448

dev-php/libchart: Snapshot bump, convert to EAPI6 and move to github

Upstream moved to github with the pending googlecode shutdown

Package-Manager: portage-2.3.2

 dev-php/libchart/Manifest                      |  1 +
 dev-php/libchart/libchart-1.3_p21050415.ebuild | 44 ++++++++++++++++++++++++++
 dev-php/libchart/metadata.xml                  |  2 +-
 3 files changed, 46 insertions(+), 1 deletion(-)

diff --git a/dev-php/libchart/Manifest b/dev-php/libchart/Manifest
index 4732d72..34d5476 100644
--- a/dev-php/libchart/Manifest
+++ b/dev-php/libchart/Manifest
@@ -1,2 +1,3 @@
 DIST libchart-1.2.2.tar.gz 103063 SHA256 
3a369f3d0caf18cb2fa25db9744f2d7986c5020a474ca6b42ef807785bd78166 SHA512 
6b86be1afdf4492e911c7c4bb08045d4f4f7229204a53c77339a8a7c5aa896c221e7bd9fe6bac2be05f97de653372689e22827ec1c13ee63402e9058818969bf
 WHIRLPOOL 
033297a4d323729579240c17559d2765fb910e951c71f07b6a8f6f19dc98c84e2fd0f6e62489c7fa6f18da1229903bd51889e4c079088d529bea16d36c4797df
 DIST libchart-1.3.tar.gz 106204 SHA256 
ab3bdf1ccdb008a7ca9f7908d7ed8698163ab6679eaaf4bc37d5229471f38ac2 SHA512 
5d2a0b014546487029f552f225fa83de856210a997e69bb5b129e99790f5acfdcfff904077126c42f82974d10f81e7e0342991221af5f108902b2792df24d586
 WHIRLPOOL 
e4bb9b86939592a97bec0b00ebc26046a599a9b6d1ed266db9ad7b6b4a653cca21fdb7aa31078ba2d0957ddc0cc0c5741fd1d62a80b229b55f78dda81c2acca9
+DIST libchart-1.3_p21050415.tar.gz 365928 SHA256 
c39eb5060b37a21883d405064bc49d2b1971208f9634e96cdb2d329d2f07a20d SHA512 
14579fb69dd6c2f08725391773268221158d2ba065dd47e116895a543dfb990de3d26757d6f3e17da5ed8a33c5a728efe0ccca079517c8381b37ea6cef083be5
 WHIRLPOOL 
239cb88c13683182fc9bf2d7a99d91b84a1d0e2c7324357d1838b353ac93327cb1e485ec4a3d5fd906202a5cc51449ded125e963b0d747bf5c769353a2848a2d

diff --git a/dev-php/libchart/libchart-1.3_p21050415.ebuild 
b/dev-php/libchart/libchart-1.3_p21050415.ebuild
new file mode 100644
index 00000000..5347dfd
--- /dev/null
+++ b/dev-php/libchart/libchart-1.3_p21050415.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+inherit vcs-snapshot
+
+DESCRIPTION="Libchart is a chart creation PHP library that is easy to use"
+HOMEPAGE="http://naku.dohcrew.com/libchart";
+SRC_URI="https://github.com/naku/libchart/archive/af1628453cc083ede980c78216da8f2f594da6fa.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="GPL-3 BitstreamVera"
+KEYWORDS="~x86 ~amd64"
+SLOT=0
+IUSE="examples"
+
+DEPEND=""
+RDEPEND="dev-lang/php:*[gd,truetype]"
+
+DOCS=( ChangeLog README.md )
+
+src_install() {
+       #remove extra license files
+       rm -r "${S}/${PN}/doc" || die
+       einstalldocs
+
+       if use examples ; then
+               # no point making users unzip all files individually
+               docompress -x "/usr/share/doc/${PF}/demo"
+               dodoc -r demo/
+       fi
+
+       insinto "/usr/share/php/${PN}"
+       doins -r ${PN}/*
+}
+
+pkg_postinst() {
+       elog
+       elog "This version removes the duplicated 
/usr/share/php/libchart/libchart"
+       elog "in favor of /usr/share/php/libchart.  Please update any scripts 
in order"
+       elog "for the classes to be found."
+       elog
+}

diff --git a/dev-php/libchart/metadata.xml b/dev-php/libchart/metadata.xml
index 5303275..fb6b999 100644
--- a/dev-php/libchart/metadata.xml
+++ b/dev-php/libchart/metadata.xml
@@ -6,6 +6,6 @@
                <name>PHP</name>
        </maintainer>
        <upstream>
-               <remote-id type="google-code">libchart</remote-id>
+               <remote-id type="github">naku/libchart</remote-id>
        </upstream>
 </pkgmetadata>

Reply via email to